Attention ! Gitlab fournissant maintenant nativement des certificats Let’s Encrypt aux domaines personnalisés des Gitlab Pages, nous avons coupé notre service qui le faisait automatiquement pour vous.

Il est impératif, pour que votre domaine personnalisé continue à avoir un certificat Let’s Encrypt à jour, d’activer la fonctionnalité native dans les paramètres de votre projet. Cette activation remplacera votre certificat actuel par un nouveau certificat Let’s Encrypt géré par Gitlab.

Voir les détails sur https://docs.framasoft.org/fr/gitlab/gitlab-pages-le.html

Commit 6fbdf517 authored by Kyodev's avatar Kyodev

maj

parent 25074468
......@@ -7,8 +7,8 @@
> **Tor Browser** version stable est aussi pris en charge, basé sur la version Firefox ESR. les mises à jour de
Tor Browser sont gérées par lui-même
> les mises à jour de Firefox sont gérées par celui-ci, avec des corrections mineures permanentes, en tâche de
fond, et une version majeure toutes les 6 semaines
> les mises à jour de Firefox sont gérées par celui-ci.
(corrections mineures permanentes, en tâche de fond, et une version majeure toutes les 6 semaines environ)
> seul le script se mettra éventuellement à jour, sans influence sur les canaux Firefox installés
......@@ -32,16 +32,14 @@ chmod +x getFirefox && ./getFirefox
| (_| | __/ |_| _| | | | | __/ _| (_) > <
\__, |\___|\__|_| |_|_| \___|_| \___/_/\_\
|___/ Tor Browser
version 3.0.0 - 01/09/2017
version 3.12.0b - 4/12/2017
getFirefox 3.0.0 installé dans le système.
getFirefox 3.12.0 installé dans le système.
maintenant, appel du script par: getFirefox (sans ./)
```
* le script est maintenant dans le système et tout utilisateur peut s'en servir.
* **Firefox ou Tor Browser ne sont pas encore installés**
* à moins de savoir ce que vous faites, il est peut-être mieux de désinstaller le paquet officiel
_firefox-esr_ ou _firefox_ (sur sid)
* Sur Gnome, attention avant de [désinstaller le paquet _firefox_](https://kyodev.frama.io/kyopages/scripts/getFirefox/#gnome)
* si ce paquet devait être ré-installé, il semble préférable de désinstaller les canaux Firefox installés
auparavant.
......@@ -61,7 +59,7 @@ getFirefox i-latest
| (_| | __/ |_| _| | | | | __/ _| (_) > <
\__, |\___|\__|_| |_|_| \___|_| \___/_/\_\
|___/ Tor Browser
version 3.0.0 - 01/09/2017
version 3.12.0 - 4/12/2017
installation Firefox-latest
......@@ -106,7 +104,7 @@ vVVv vVVv ': |_| |_| |_|\___/___|_|_|_|\__,_| ''
version Mozilla Release (ou ESR) utilisera donc une copie du profil en cours. l'éventuel profil default sera
utilisé pour la première installation d'un canal latest ou esr. les réinstallations ultérieures, si les profils
ne sont pas supprimés, n'utiliseront pas de profil défault détecté
* les canaux peuvent coexister
* les canaux de Mozilla peuvent coexister avec les paquets Debian
* chaque canal peut être lancé en console: `firefox-latest` `firefox-beta` `firefox-dev` `firefox-nightly`
`firefox-esr`
* le plus bas canal installé peut lui être lancé avec: `firefox`
......@@ -137,6 +135,7 @@ la version **aurora** est abandonnée et la **developer edition** est basée sur
## messages avertissement
<hr>
```text
......@@ -186,18 +185,6 @@ en **root**:
apt remove firefox*
```
### Gnome
Gnome a une dépendance sur un paquet navigateur web installé (firefox ou chromium). Pour désinstaller un
éventuel Firefox, vous devez avoir Chromium ou désinstaller auparavant le méta-paquet _gnome-core_. ce n'est
qu'un méta-paquet, cela ne désinstallera pas effectivement les paquets dépendants.
il faudra, avant de désinstaller le paquet _firefox*_, désinstaller:
`apt remove gnome-core`
**Attention** selon un retour d'expérience, cela ne semble pas en pratique fonctionner. Bien vérifier lors
de cette manipulation que d'autres paquets ne sont pas désinstallés eux aussi. Dans le doute, abandonner et
préférer l'installation d'un paquet non désiré comme _chromium_
## help
......@@ -211,7 +198,7 @@ getFirefox -h
| (_| | __/ |_| _| | | | | __/ _| (_) > <
\__, |\___|\__|_| |_|_| \___|_| \___/_/\_\
|___/ Tor Browser
version 3.7.0 - 09/09/2017
version 3.12.0 - 4/12/2017
----------------------------------------------------------------------
canaux possibles: latest, beta, nightly, dev, esr, tor
......@@ -240,8 +227,7 @@ getFirefox -h
getFirefox -u, --upgrade, upgrade : mise à jour du script
getFirefox -v, --version : versions du script
----------------------------------------------------------------------
Si présent, le *paquet Debian* firefox-esr ou firefox devrait être désinstallé
----------------------------------------------------------------------
plus d'infos: https://kyodev.frama.io/kyopages/scripts/getFirefox/
```
......@@ -259,20 +245,20 @@ getFirefox version
| (_| | __/ |_| _| | | | | __/ _| (_) > <
\__, |\___|\__|_| |_|_| \___|_| \___/_/\_\
|___/ Tor Browser
version 3.7.0b - 09/09/2017
version 3.12.0b - 4/12/2017
.........
version(s) Firefox installé(s): latest: 55.0.3 beta: 56.0 nightly: 57.0a1
versions Firefox en ligne: latest: 55.0.3 beta/dev: 56.0b10 nightly: 57.0a1 esr: 52.3.0
.....+++++
versions Firefox en ligne : latest : 57.0.1 esr : 52.5.0 beta : 58.0b8 nightly: 59.0a1
versions Firefox installées: latest : 56.0.2 beta : 56.0 nightly: 57.0a1
version script en cours: 3.7.0b
version script en ligne: 3.7.0, mise à jour possible
version script en cours: 3.12.0b
version script en ligne: 3.12.0, mise à jour possible
personnalisation(s) installée(s) pour latest(0.6) beta(0.6) nightly(0.6)
personnalisations installées pour latest(v0.6) beta(v0.6) nightly(v0.6)
version personnalisation en ligne: 0.6, pas de mise à jour à faire
version Tor Browser installé: 7.0.5 -- September 2 2017
version Tor Browser en ligne: 7.0.5
version Tor Browser en ligne: 7.0.10
personnalisation Tor Browser installée 0.2
version personnalisation Tor Browser en ligne: 0.2, pas de mise à jour à faire
......@@ -315,7 +301,7 @@ getFirefox d-beta
| (_| | __/ |_| _| | | | | __/ _| (_) > <
\__, |\___|\__|_| |_|_| \___|_| \___/_/\_\
|___/ Tor Browser
version 3.7.0 - 09/09/2017
version 3.12.0 - 4/12/2017
copie d'un profil default sur beta
......@@ -341,7 +327,7 @@ getFirefox u-beta
| (_| | __/ |_| _| | | | | __/ _| (_) > <
\__, |\___|\__|_| |_|_| \___|_| \___/_/\_\
|___/ Tor Browser
version 3.0.0 - 01/09/2017
version 3.12.0 - 4/12/2017
profil <beta> configuré pour kyodev
......@@ -376,7 +362,7 @@ getFirefox p-nightly
| (_| | __/ |_| _| | | | | __/ _| (_) > <
\__, |\___|\__|_| |_|_| \___|_| \___/_/\_\
|___/ Tor Browser
version 3.7.0 - 09/09/2017
version 3.12.0 - 4/12/2017
personnalisation 0.6 mise en place pour nightly
......@@ -420,13 +406,13 @@ getFirefox pu
| (_| | __/ |_| _| | | | | __/ _| (_) > <
\__, |\___|\__|_| |_|_| \___|_| \___/_/\_\
|___/ Tor Browser
version 3.0.0 - 01/09/2017
version 3.12.0 - 4/12/2017
personnalisation(s) installée(s) pour latest beta nightly
version personnalisation en ligne: 0.3, pas de mise à jour à faire
version personnalisation en ligne: 0.6, pas de mise à jour à faire
personnalisation Tor Browser installée 0.1
version personnalisation Tor Browser en ligne: 0.1, pas de mise à jour à faire
personnalisation Tor Browser installée 0.2
version personnalisation Tor Browser en ligne: 0.2, pas de mise à jour à faire
```
......@@ -448,7 +434,7 @@ getFirefox pr-beta
| (_| | __/ |_| _| | | | | __/ _| (_) > <
\__, |\___|\__|_| |_|_| \___|_| \___/_/\_\
|___/ Tor Browser
version 3.7.0 - 09/09/2017
version 3.12.0 - 4/12/2017
personnalisation pour Firefox nightly désinstallé
......@@ -469,7 +455,7 @@ getFirefox r-nightly
| (_| | __/ |_| _| | | | | __/ _| (_) > <
\__, |\___|\__|_| |_|_| \___|_| \___/_/\_\
|___/ Tor Browser
version 3.0.0 - 01/09/2017
version 3.12.0 - 4/12/2017
- firefox lié à firefox-latest
......@@ -517,7 +503,7 @@ getFirefox m-nightly firefox-57.0a1.fr.linux-i686.tar.bz2
| (_| | __/ |_| _| | | | | __/ _| (_) > <
\__, |\___|\__|_| |_|_| \___|_| \___/_/\_\
|___/ Tor Browser
version 3.7.0 - 09/09/2017
version 3.12.0 - 4/12/2017
installation manuelle dans nightly de firefox version 57.0a1.fr (firefox-57.0a1.fr.linux-i686.tar.bz2)
......@@ -627,9 +613,9 @@ getFirefox -r
| (_| | __/ |_| _| | | | | __/ _| (_) > <
\__, |\___|\__|_| |_|_| \___|_| \___/_/\_\
|___/ Tor Browser
version 3.0.0 - 01/09/2017
version 3.12.0 - 4/12/2017
getFirefox 3.0.0 supprimé du système.
getFirefox 3.12.0 supprimé du système.
```
......
......@@ -5,7 +5,8 @@
> le script se met à jour et gère les mises à jour de FlashPlayer par une tâche planifiée hebdomadaire
> seul l'installation et la désinstallation du **script** requièrent les privilèges **root**.
les autres opérations se font sous le compte utilisateur
les autres opérations se font sous le compte utilisateur, comme l'installation/suppression du plugin
se font par chaque utilisateur
## installation rapide du script
......@@ -22,7 +23,7 @@ chmod +x getFlashPlayer && ./getFlashPlayer
| (_| | __/ |_| _| | | (_| \__ \ | | | __/| | (_| | |_| | __/ |
\__, |\___|\__|_| |_|\__,_|___/_| |_|_| |_|\__,_|\__, |\___|_|
|___/ |___/
pour Firefox, version 3.13.0 - 07/09/2017
pour Firefox, version 3.18.0 - 5/12/2017
getFlashPlayer 3.13.0 installé dans le système.
maintenant, appel du script par: getFlashPlayer (sans ./)
......@@ -48,13 +49,12 @@ getFlashPlayer install
| (_| | __/ |_| _| | | (_| \__ \ | | | __/| | (_| | |_| | __/ |
\__, |\___|\__|_| |_|\__,_|___/_| |_|_| |_|\__,_|\__, |\___|_|
|___/ |___/
pour Firefox, version 3.0.0 - 16/08/2017
pour Firefox, version 3.18.0 - 5/12/2017
FlashPlayer n'est pas libre, c'est un programme propriétaire dont on
ne peut pas connaître le code source, ni l'utiliser sans conditions,
ni le distribuer librement.
Il souffre de nombreuses vulnérabilités chroniques, depuis des années
sans que l'éditeur fasse beaucoup d'efforts pour corriger cela...
Il souffre de nombreuses vulnérabilités chroniques, depuis des années...
Il sera bloqué plus ou moins bloqué à terme pas les navigateurs majeurs,
c'est à dire Firefox et Chrom(ium). Préparez vous à cela...
voir: https://developer.mozilla.org/fr/docs/Plugins/Roadmap
......@@ -110,7 +110,7 @@ lancer le script sans arguments: `getFlashPlayer` ou avec l'option `getFlashPlay
| (_| | __/ |_| _| | | (_| \__ \ | | | __/| | (_| | |_| | __/ |
\__, |\___|\__|_| |_|\__,_|___/_| |_|_| |_|\__,_|\__, |\___|_|
|___/ |___/
pour Firefox, version 3.13.0 - 07/09/2017
pour Firefox, version 3.18.0 - 5/12/2017
-----------------------------------------------------------------------
getFlashPlayer install : téléchargement & installation de FlashPlashplayer
......@@ -128,16 +128,15 @@ lancer le script sans arguments: `getFlashPlayer` ou avec l'option `getFlashPlay
-----------------------------------------------------------------------
Ce script doit être exécuté avec les droits root uniquement pour
l'installation et la suppression du script dans le système.
Il désinstallera le paquet flashplugin-nonfree si présent (debian).
SEUL le plugin sera installé comme plugin Firefox.
SEUL le plugin sera installé comme plugin Firefox, par tout utilisateur,
sans droits root requis.
-----------------------------------------------------------------------
plus d'infos: https://kyodev.frama.io/kyopages/scripts/getFlashPlayer/
plus d'infos: https://kyodev.frama.io/kyopages/scripts/getFlashPlayer/
FlashPlayer n'est pas libre, c'est un programme propriétaire dont on
ne peut pas connaître le code source, ni l'utiliser sans conditions,
ni le distribuer librement.
Il souffre de nombreuses vulnérabilités chroniques, depuis des années
sans que l'éditeur fasse beaucoup d'efforts pour corriger cela...
Il souffre de nombreuses vulnérabilités chroniques, depuis des années...
Il sera bloqué plus ou moins bloqué à terme pas les navigateurs majeurs,
c'est à dire Firefox et Chrom(ium). Préparez vous à cela...
voir: https://developer.mozilla.org/fr/docs/Plugins/Roadmap
......@@ -157,14 +156,15 @@ getFlashPlayer version
| (_| | __/ |_| _| | | (_| \__ \ | | | __/| | (_| | |_| | __/ |
\__, |\___|\__|_| |_|\__,_|___/_| |_|_| |_|\__,_|\__, |\___|_|
|___/ |___/
pour Firefox, version 3.13.0 - 07/09/2017
pour Firefox, version 3.18.0b - 5/12/2017
version FlashPlayer en ligne: 26.0.0.151
version FlashPlayer en ligne: 27.0.0.187
version FlashPlayer installée: 26.0.0.137, mise à jour possible
FlashPlayer à jour
version script en cours: 3.18.0b
version script en ligne: 3.18.0, mise à jour possible
version script en cours: 3.13.0b
version script en ligne: 3.13.0, mise à jour possible
```
* affiche la version en ligne de FlashPlayer
......@@ -184,7 +184,7 @@ getFlashPlayer remove
| (_| | __/ |_| _| | | (_| \__ \ | | | __/| | (_| | |_| | __/ |
\__, |\___|\__|_| |_|\__,_|___/_| |_|_| |_|\__,_|\__, |\___|_|
|___/ |___/
pour Firefox, version 3.13.0 - 07/09/2017
pour Firefox, version 3.18.0 - 5/12/2017
FlashPlayer 26.0.0.151 désinstallé pour kyodev
......@@ -211,13 +211,12 @@ getFlashPlayer manuel flash_player_npapi_linux.x86_64.tar.gz
| (_| | __/ |_| _| | | (_| \__ \ | | | __/| | (_| | |_| | __/ |
\__, |\___|\__|_| |_|\__,_|___/_| |_|_| |_|\__,_|\__, |\___|_|
|___/ |___/
pour Firefox, version 3.13.0 - 07/09/2017
pour Firefox, version 3.18.0 - 5/12/2017
FlashPlayer n'est pas libre, c'est un programme propriétaire dont on
ne peut pas connaître le code source, ni l'utiliser sans conditions,
ni le distribuer librement.
Il souffre de nombreuses vulnérabilités chroniques, depuis des années
sans que l'éditeur fasse beaucoup d'efforts pour corriger cela...
Il souffre de nombreuses vulnérabilités chroniques, depuis des années...
Il sera bloqué plus ou moins bloqué à terme pas les navigateurs majeurs,
c'est à dire Firefox et Chrom(ium). Préparez vous à cela...
voir: https://developer.mozilla.org/fr/docs/Plugins/Roadmap
......@@ -244,7 +243,7 @@ getFlashPlayer upgrade
| (_| | __/ |_| _| | | (_| \__ \ | | | __/| | (_| | |_| | __/ |
\__, |\___|\__|_| |_|\__,_|___/_| |_|_| |_|\__,_|\__, |\___|_|
|___/ |___/
pour Firefox, version 3.0.9 - 20/08/2017
pour Firefox, version 3.18.0 - 5/12/2017
version FlashPlayer en ligne: 26.0.0.151
......@@ -305,9 +304,9 @@ getFlashPlayer -r
| (_| | __/ |_| _| | | (_| \__ \ | | | __/| | (_| | |_| | __/ |
\__, |\___|\__|_| |_|\__,_|___/_| |_|_| |_|\__,_|\__, |\___|_|
|___/ |___/
pour Firefox, version 3.13.0 - 07/09/2017
pour Firefox, version 3.18.0 - 5/12/2017
getFlashPlayer 3.13.0 supprimé du système.
getFlashPlayer 3.18.0 supprimé du système.
```
......
......@@ -197,4 +197,5 @@ IRC freenode: ##sdeb
* [kernel.org](https://www.kernel.org/) pour les tags cpu, et les modules à détecter
* [neofetch](https://github.com/dylanaraps/neofetch) pour du code sur la détection système.
neofetch est un successeur dynamique de screenfetch avec du code sympa
* [inxi](* https://github.com/smxi/inxi) pour un longue lecture du code
* [pastery.net](https://www.pastery.net/) pour héberger des pastebins avec rendu markdown
......@@ -25,9 +25,9 @@ chmod +x getThunderbird && ./getThunderbird
| (_| | __/ |_ | | | | | | |_| | | | | (_| | __/ | | |_) | | | | (_| |
\__, |\___|\__||_| |_| |_|\__,_|_| |_|\__,_|\___|_| |_.__/|_|_| \__,_|
|___/
version 1.0.0 - 09/09/2017
version 1.6.0 - 4/12/2017
getThunderbird 1.0.0 installé dans le système.
getThunderbird 1.6.0 installé dans le système.
maintenant, appel du script par: getThunderbird (sans ./)
```
......@@ -52,7 +52,7 @@ getThunderbird i-latest
| (_| | __/ |_ | | | | | | |_| | | | | (_| | __/ | | |_) | | | | (_| |
\__, |\___|\__||_| |_| |_|\__,_|_| |_|\__,_|\___|_| |_.__/|_|_| \__,_|
|___/
version 1.0.0 - 09/09/2017
version 1.6.0 - 4/12/2017
installation thunderbird-latest
......@@ -98,7 +98,7 @@ getThunderbird -h
| (_| | __/ |_ | | | | | | |_| | | | | (_| | __/ | | |_) | | | | (_| |
\__, |\___|\__||_| |_| |_|\__,_|_| |_|\__,_|\___|_| |_.__/|_|_| \__,_|
|___/
version 1.0.0 - 09/09/2017
version 1.6.0 - 4/12/2017
----------------------------------------------------------------------
canaux possibles latest, beta
......@@ -123,8 +123,7 @@ getThunderbird -h
getThunderbird -u, --upgrade : mise à jour du script
getThunderbird -v, --version : versions du script
----------------------------------------------------------------------
Si présent, le *paquet Debian* thunderbird devrait être désinstallé
----------------------------------------------------------------------
plus d'infos: https://kyodev.frama.io/kyopages/scripts/getThunderbird/
```
......@@ -142,15 +141,14 @@ getThunderbird version
| (_| | __/ |_ | | | | | | |_| | | | | (_| | __/ | | |_) | | | | (_| |
\__, |\___|\__||_| |_| |_|\__,_|_| |_|\__,_|\___|_| |_.__/|_|_| \__,_|
|___/
version 1.0.0b - 09/09/2017
version 1.6.0b - 4/12/2017
.......
version(s) Thunderbird installé(s): latest: 56.0
version paquet debian Thunderbird: 52.2.1
versions Thunderbird en ligne: latest: 52.3.0 beta: 56.0b3
....
versions Thunderbird en ligne latest : 52.5.0 beta : 58.0b1
version Thunderbird en place beta : 56.0
version script en cours: 1.0.0b
version script en ligne: 1.0.0, mise à jour possible
version script en cours: 1.6.0b
version script en ligne: 1.6.0, mise à jour possible
```
......@@ -187,7 +185,7 @@ getThunderbird d-beta
| (_| | __/ |_ | | | | | | |_| | | | | (_| | __/ | | |_) | | | | (_| |
\__, |\___|\__||_| |_| |_|\__,_|_| |_|\__,_|\___|_| |_.__/|_|_| \__,_|
|___/
version 1.0.0 - 09/09/2017
version 1.6.0 - 4/12/2017
copie d'un profil default sur beta
......@@ -212,8 +210,7 @@ getThunderbird u-beta
| (_| | __/ |_ | | | | | | |_| | | | | (_| | __/ | | |_) | | | | (_| |
\__, |\___|\__||_| |_| |_|\__,_|_| |_|\__,_|\___|_| |_.__/|_|_| \__,_|
|___/
version 1.0.0 - 09/09/2017
version 1.6.0 - 4/12/2017
profil <beta> configuré pour kyodev
......@@ -243,7 +240,7 @@ getThunderbird r-beta
| (_| | __/ |_ | | | | | | |_| | | | | (_| | __/ | | |_) | | | | (_| |
\__, |\___|\__||_| |_| |_|\__,_|_| |_|\__,_|\___|_| |_.__/|_|_| \__,_|
|___/
version 1.0.0 - 09/09/2017
version 1.6.0b - 4/12/2017
- thunderbird lié à thunderbird-latest
......@@ -273,7 +270,7 @@ getThunderbird m-latest thunderbird-56.0b3.tar.bz2
| (_| | __/ |_ | | | | | | |_| | | | | (_| | __/ | | |_) | | | | (_| |
\__, |\___|\__||_| |_| |_|\__,_|_| |_|\__,_|\___|_| |_.__/|_|_| \__,_|
|___/
version 1.0.0 - 09/09/2017
version 1.6.0b - 4/12/2017
installation manuelle dans beta de thunderbird version 56.0b3 (thunderbird-56.0b3.tar.bz2)
......@@ -322,12 +319,12 @@ getThunderbird -u
| (_| | __/ |_ | | | | | | |_| | | | | (_| | __/ | | |_) | | | | (_| |
\__, |\___|\__||_| |_| |_|\__,_|_| |_|\__,_|\___|_| |_.__/|_|_| \__,_|
|___/
version 1.0.0b - 09/09/2017
version 1.6.0b - 4/12/2017
version script en cours: 1.0.0b
version script en ligne: 1.0.0, mise à jour possible
version script en cours: 1.6.0b
version script en ligne: 1.6.0, mise à jour possible
getThunderbird mis à jour en version 1.0.0
getThunderbird mis à jour en version 1.6.0
```
......@@ -361,9 +358,9 @@ getThunderbird -r
| (_| | __/ |_ | | | | | | |_| | | | | (_| | __/ | | |_) | | | | (_| |
\__, |\___|\__||_| |_| |_|\__,_|_| |_|\__,_|\___|_| |_.__/|_|_| \__,_|
|___/
version 1.0.0 - 09/09/2017
version 1.6.0 - 4/12/2017
getThunderbird 1.0.0 supprimé du système.
getThunderbird 1.6.0 supprimé du système.
```
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment